Bug 1296119 - okular takes long time to start with file on command line
okular takes long time to start with file on command line
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: okular (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 06:21 EST by Lasse Kliemann
Modified: 2016-12-20 12:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:38:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lasse Kliemann 2016-01-06 06:21:51 EST
Description of problem:
Okular takes a long time (sometimes in the range of several minutes) before it becomes visible - when started with a file on the command line, like:

okular file.pdf

If starting Okular and then selecting a file via the menu, there is no delay.

Version-Release number of selected component (if applicable):
Okular Version 0.22.2
Using KDE Development Platform 4.14.14

How reproducible:
Start okular on a PDF file given on the command line. If the delay does not occur, restart the machine first. On some occasions, the problem seemed to be magically fixed, but it came back after a reboot.

Steps to Reproduce:
1. Boot.
2. Open Terminal.
3. okular file.pdf

Actual results:
Okular will show after a couple of minutes.
There is no debug output visible during that time, no messages at all.

Expected results:
Okular should show after a few seconds.

Additional info:
Comment 1 Lasse Kliemann 2016-01-06 06:32:03 EST
Addendum:

- This is on the standard version of Fedora, i.e., Gnome and not the KDE spin.

- I tested other KDE applications, including Kate, and they start fine.

- Hardware is a Dell Latitude E6220, in case that matters.
Comment 2 Fedora End Of Life 2016-11-24 09:44:20 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 12:38:50 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.